Debian Bug report logs - #686396
ITP: python-construct -- a powerful declarative parser for binary data

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Andrzej Bieniek <andyhelp@gmail.com>

Date: Fri, 31 Aug 2012 23:21:01 UTC

Owned by: jmw+debian@tiger-computing.co.uk

Severity: wishlist

Fixed in version construct/2.5.1-1

Done: Jonathan Wiltshire <jmw+debian@tiger-computing.co.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#686396; Package wnpp. (Fri, 31 Aug 2012 23:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrzej Bieniek <andyhelp@gmail.com>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Fri, 31 Aug 2012 23:21:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andrzej Bieniek <andyhelp@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: python-construct -- a powerful declarative parser for binary data
Date: Sat, 01 Sep 2012 00:17:30 +0100
Package: wnpp
Severity: wishlist

* Package name    : python-construct
  Version         : 2.6
  Upstream Author : Tomer Filiba <tomerfiliba@gmail.com>
* URL             : http://construct.wikispaces.com
* License         : Public Domain
  Programming Lang: Python
  Description     : a powerful declarative parser for binary data

Construct is a python library for parsing and building of data structures (binary or textual). It is based on the concept of defining data structures in a declarative manner, rather than procedural code: more complex constructs are composed of a hierarchy of simpler ones. It's the first library that makes parsing fun, instead of the usual headache it is today.



Owner recorded as jmw+debian@tiger-computing.co.uk. Request was from Jonathan Wiltshire <jmw@tiger-computing.co.uk> to control@bugs.debian.org. (Mon, 02 Sep 2013 10:33:04 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: python-construct -- a powerful declarative parser for binary data' from 'RFP: python-construct -- a powerful declarative parser for binary data' Request was from Jonathan Wiltshire <jmw@tiger-computing.co.uk> to control@bugs.debian.org. (Mon, 02 Sep 2013 10:33:05 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Jonathan Wiltshire <jmw+debian@tiger-computing.co.uk> to control@bugs.debian.org. (Mon, 02 Sep 2013 15:12:17 GMT) Full text and rfc822 format available.

Reply sent to Jonathan Wiltshire <jmw+debian@tiger-computing.co.uk>:
You have taken responsibility. (Sat, 07 Sep 2013 19:03:08 GMT) Full text and rfc822 format available.

Notification sent to Andrzej Bieniek <andyhelp@gmail.com>:
Bug acknowledged by developer. (Sat, 07 Sep 2013 19:03:08 GMT) Full text and rfc822 format available.

Message #16 received at 686396-close@bugs.debian.org (full text, mbox):

From: Jonathan Wiltshire <jmw+debian@tiger-computing.co.uk>
To: 686396-close@bugs.debian.org
Subject: Bug#686396: fixed in construct 2.5.1-1
Date: Sat, 07 Sep 2013 19:00:06 +0000
Source: construct
Source-Version: 2.5.1-1

We believe that the bug you reported is fixed in the latest version of
construct, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 686396@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jonathan Wiltshire <jmw+debian@tiger-computing.co.uk> (supplier of updated construct package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 02 Sep 2013 11:07:18 +0100
Source: construct
Binary: python-construct python3-construct
Architecture: source all
Version: 2.5.1-1
Distribution: unstable
Urgency: low
Maintainer: Jonathan Wiltshire <jmw+debian@tiger-computing.co.uk>
Changed-By: Jonathan Wiltshire <jmw+debian@tiger-computing.co.uk>
Description: 
 python-construct - powerful declarative parser (and builder) for binary data
 python3-construct - powerful declarative parser (and builder) for binary data
Closes: 686396
Changes: 
 construct (2.5.1-1) unstable; urgency=low
 .
   * Initial release (Closes: #686396)
Checksums-Sha1: 
 9f44f9572eeb391b36dcd0ca9df883763a64d5d9 2005 construct_2.5.1-1.dsc
 000faa64a379b4c3c6ff0068a18f29288ece201c 56287 construct_2.5.1.orig.tar.gz
 f781da961d4f08d40eecc41583e509bd1e869243 2536 construct_2.5.1-1.debian.tar.gz
 c5ef6bda75898e3a6ba5b6de53adf0e01027b1be 52330 python-construct_2.5.1-1_all.deb
 77b32b2617aa06fb7db3eaf5aa87aa198d78fa45 51048 python3-construct_2.5.1-1_all.deb
Checksums-Sha256: 
 186d9770e6e2b780a5acea534cb76ea6397c9b41a5d8b2b052a83b2e2665c5e9 2005 construct_2.5.1-1.dsc
 5ae387cfde856f9ce3b1f4b1fc58750b6dc30994d96bde2517cfe47d10d51323 56287 construct_2.5.1.orig.tar.gz
 1c242dd958f0213e9ae2290bd6feb13a028e73cba0e020737771f97663f95fef 2536 construct_2.5.1-1.debian.tar.gz
 56dd07285c67eb07979179e29512a74d763dc84009fe19a6600292a99ef151db 52330 python-construct_2.5.1-1_all.deb
 c9e98f082fd98497fdc016891073bfebb9d0f362c980b508e59014b45cab516f 51048 python3-construct_2.5.1-1_all.deb
Files: 
 5fa9f792a23b3ad38b22472be2b9c738 2005 python extra construct_2.5.1-1.dsc
 4881ed2208f6ee226b61e2310f696924 56287 python extra construct_2.5.1.orig.tar.gz
 ce04c12a5799ab1ecc5e9e7b4c99baf5 2536 python extra construct_2.5.1-1.debian.tar.gz
 a7ef70900c38e8ca7bdd9ea203a899ec 52330 python extra python-construct_2.5.1-1_all.deb
 e09a22043bb5aa73490697608660fcdb 51048 python extra python3-construct_2.5.1-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.20 (GNU/Linux)

iQIcBAEBAgAGBQJSJH7dAAoJEFC7AtTIpr9hj5IP/Ruj2smKithmnZGsxdy2GKPV
Gq7XDsBl53WVe2dd3nPRbZTKl3DwTQLmDN68SzsMalVGfoVQIubpQTG3kvRHZovp
DBbQSoBcHcDcA3lb0bwf4JO4gcag7OCNs1nTLGUPodsFAW7ejWAruEDBBLc+U2cV
ADNg/NWyAkP/rMIHBiHLnGQ1M11H5Uymo+4pr7/YifDUk+QMQ5jBjkNlNmTwoynY
xBtuJ/egbxJk51Rnprpt5Oyc4Zuz9btHHzcamPhOKjjyw5WxWr5I3gmF6j262eO0
TEVtxW9+xjYwNRyjpDxdg+jJteuOo1dkJe5IOHPAaR+WQKPbceul1up4Co3h4U3q
icLXdB0JiuarLWrqCv9bBsIsDXj9Uyqoo/gIjtuWWJFX6yMfWdbE6ke65oogTsa/
Wdd3+WN46WD9XV6qFlIEMZbuH/eJi60LmZ2FDXZRFEtNP5KmNE5aNCU6pikpu9E2
aveJKyGn4ZRdsU9GvWNel/UVSfThkxrbwxqHX2ZYDtPzKCzoxLHTzGPaDNVU79gi
3rh61rVe1INs3xxxcTqxghwW0tx9OSwHCrntPELmyqsbyT8BmlPeyS1bbUGLN08N
NkZS1IBGb7eZE7CL6e/E1t2pKPa1jzrHxMGinM5GwFU0U3Thsw4e1BUmWGnC1c9s
Abvs9hIXFtx3wNtA/7Jk
=Oola
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 06 Oct 2013 07:39:29 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 02:02:41 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.